2015-06-09
------------------------------
1. 读取网络配置文件失败的问题
2. 聊天表情错误的问题
3. 分组显示和拉取得问题
4. 界面响应的一些问题
5. 去除一些无关第三方库的支持
6. 课堂通知同步问题
7. 一对一界面显示异常

2015-06-01
------------------------------
1. 用户信息向服务器同步的问题
2. 文档分享流程的优化和修改
3. 支持文档分享缓冲
4. 课堂定时器问题
5. 主界面菜单显示的问题
6. 智能笔加载错误信息提示的问题
7. 新增清理快速反馈功能
8. 新增聊天和快速反馈开关
9. 支持搜索联系人功能
10.支持有师号的搜索和登录
11.支持教室中白板显示的比例问题
12.新增真实姓名支持
13.增加群组列表过滤功能
14.增加联系人列表过滤功能
15.增加邀请好友过滤设备的功能
16.处理了退出课堂可能出现崩溃的问题
17.处理了PPT分享可能引起的崩溃
18.打开聊天中的图片，会多次打开的问题（下载模块，多次递交完成消息引起）
19.完善自动回复功能
20.自动登陆设置问题
21.保存消息记录问题
22.公告通知格式
23. 好友添加问题
24. 视频布局自动切换功能
25. 网页共享可能出现异常的问题

2015-05-12
------------------------------
1. 处理了课堂中，选择画板的颜色和笔触时，可能导致选择键失效。
2. 处理了一对一状态下，计算时长错误的问题
3. 主界面，列表等界面微调
4. 课堂中显示名称都跟上用户的身份类型（讲师，助教...）。
5. 主界面APP显示的问题。判断字段的有效性。
6. 为群组成员，部门成员，好友都增加设备选项
7. 邀请过程中，都筛选设备类型
8. 邀请名单的设备过滤功能
9. 一对一多次弹出确认消息的问题
10.退出课堂可能出现异常的问题，由窗口锁造成。
11.课堂中计时误差的问题


2015-03-10
------------------------------
1. 课堂录制无法停止的问题
2. 课堂成员列表根据权限排序
3. 主联系人列表排序问题
4. 支持全新的进入教室流程
5. 继续支持原有的一对一流程
6. 切换视频分辨率时，远端出现异常的问题
7. 已经打开PPT共享，用户在进入教室时，无法收到分享信息
8. 课堂中新消息提示
9. 外部输入的文件，以文档的方式打开。
10. 白板中某些控件无法同步位置并展示的问题。
11. 邀请窗口的处理
12. 服务器在遇到批量异常退出时，依然坚固
13. 当只有默认主持人的时候，视频窗口最大化
14. 桌面共享和PPT共享时，可能导致编码器异常的错误
15. 支持Windows中文账户使用Youshi
16. 读取头像问题 
17. 远程桌面共享无法显示的问题
;18. 在讨论区位置，允许管理员屏蔽某些用户发言

2015-02-10
------------------------------
1. 重写桌面广播模块
2. 处理了编解码多帧失效的问题
3. 登录界面的头像问题
4. 处理了文件上传下载的压缩解压比率的问题
5. 处理了从网页邀请聊天报错的问题（uid 和 email的差别）
6. 登录界面使用更清晰的大头像
7. 反复打开关闭ppt文档时，导致程序异常的问题
8. 课堂中，成员排序的问题
9. 成员中，人数统计的问题

2015-01-30
------------------------------
1. 支持大文件传输
2. 支持文件传输时MD5校验
3. 文件传输在界面上显示发送进度
4. 文件解压缩造成的MD5码不一致的问题
5. 教室中分组显示的调整
6. 权限控制更新
7. 用户快速反馈只发到主持人处
8. 支持在课堂模式切换时，检查PPT安装情况，处理已经打开的PPT文件
9. 支持聊天界面中打开链接

2015-01-24
------------------------------
1. 教室中，当连接意外断开，youshi课堂会进行3次重连
2. 支持检测PPT是否正常安装
3. 支持进入课堂时，结束PPT进程。
4. 新增检测本地文件是否存在，若存在无需重复下载
5. 解压缩时若发现目标文件存在则直接使用该文件而无需解压缩
6. 处理了更新时由于系统缓存引起的读取版本文件失败的问题
7. UI的改善。
8. 处理了，课堂中，发言端无法关闭音频发送的问题。
9. 群组消息过长导致无法全部显示的问题
10. 增加提示PPT未安装。


2015-01-22
------------------------------
1. 结束教室时，弹出提示信息
2. 日志模块修正
3. 处理了多用户状态下的教室刷新的问题
4. 界面优化
5. 使用懒加载实现列表处理
6. 一些bug的处理

2014-12-25
------------------------------
1. 新增两个服务器方法
   a) RootData_GetFriendMessagesCount //获取好友的未读消息数目，返回数组列表
   b) RootData_GetGroupMessagesCount //获取群组的未读消息数目
   客户端采用此方法后，可以在界面上展示未读消息数，并在打开聊天界面后，异步的向服务器获取真实的消息
2. 关闭添加好友后，选择分组的界面，直接添加好友
3. 消息条码显示99+
4. 安装程序注册URL协议的问题
5. 当聊天窗口关闭状态下，收到邀请，无法正确显示的问题
6. 课堂中的视频布局的默认值修改
7. 获取好友列表的同时，离线添加好友的请求（分为请求，和应答两种）
8. 再次升级ClientTag算法

2014-12-23
------------------------------
1. 好友列表可能出现空项目的问题
2. 群组界面，由于列表刷新造成的无响应问题
3. 改进了离线消息加载的方式
4. 新增禁言功能
5. 服务器的逻辑改进
6. 服务器对保活包的处理
7. 升级ClientTag的标签算法，以此来标识不同的终端。
8. 关闭教室中的消息提示声音


2014-12-19
-------------------------------
1. 消息流程改进
2. 好友列表中，刷新消息数码的问题
3. 添加好友流程改进
4. 支持本地化搜索并添加联系人
5. 升级智能笔驱动程序到v3421版
6. 聊天框，显示的用户状态不准确问题
7. 进入教室进行人数限制
8. 初始化时获取离线群组消息
9. 增加联系人搜索功能
10. 允许群组成员，添加新的群成员
11. UI的局部调整
12. 允许向离线用户传输文件
13. 新增我的课程
14. 新增大发现
15. 本地数据库，事务异常的问题
16. 离开课堂异常的问题
17. 一对一增加结束后，可以在聊天界面显示时长的问题
18. 添加好友后，开始聊天的友好提示的问题
19. 最近的联系人，增加友好提示
20. 读取离线消息的逻辑
21. 群组消息中不再显示离开群组的成员消息


2014-11-24
--------------------------------
1. 增加文件分享功能
2. 调整图片以及音视频微课分享功能


2014-11-17
--------------------------------
1. 修改进入教室流程
2. 聊天界面无法完整显示消息的问题
3. 图片替换
4. 白板控件书写模块优化
5. 在线更新问题

2014-10-31
--------------------------------
1. 增加显示用户登录设备
2. 服务器对cacheDB的访问导致的异常问题
3. 一些界面上的调整

2014-10-28
--------------------------------
1.图形刷新的虚影问题
2.增加识别登录终端类型
3.服务器更新，用户离线消息
4.蒙板问题
5.群组更新同步问题
6.进入一对一，直接开始
7.一对一中，先进入者同步数据
8.限制非创建者操作元件，或者改变元件属性
9.关闭控件中的翻页按钮
10.蒙版双击导致的教鞭滞后问题
11.关闭语音，视频，以及文件
12.声音的默认处理
13.增加回退功能

2014-10-24
--------------------------------
1. 整理白板模块
2. 鼠标360度创建形状
3. 颜色选择模块
4. 蒙版修正
5. 矩形创建修正
6. 处理绘制不连续的问题
7. 对于飞点的处理

2014-10-21
--------------------------------
1. 移动端协同支持
2. 定义标准的协议格式
3. 蒙版问题
4. 白板形变问题
5. 统一白板的id int32
6. 移动端文件上传下载
7. 临时目录清除时，多次循环导致的内存分配失败
8. 文件拷贝失败
9. 显示微课消息，包括转发的微课消息


2014-10-11
---------------------------------
1. 微课消息支持
2. MP3语音消息支持
3. 图片消息支持
4. 一对一bug处理
5. 默认mic序列状态调整（-1)
6. 全新网络配置项支持
7. 服务器支持Cache
8. 支持群组消息发送

2014-09-26
---------------------------------
1. 图片和截图先另存为JPG然后分享
2. 调整小图尺寸


2014-09-25
---------------------------------
1. 录课笔在课堂中的飞线等问题
2. 视频切换大视图和正常模式时的逻辑处理
3. 一些样式上修改
4. 消息模式改进
5. 课堂中，成员列表显示好友的备注名
6. 教室关闭时，异常的问题
7. 教室中，IE控件异常的问题
8. 图片大图和小图的显示问题
9. PPT演示，透明窗口问题
10. 为多页文档和PPT演示支持左右键快捷

2014-09-24
---------------------------------
1. 白板分享失效问题
2. 网页共享无法显示的问题
3. 课堂权限细分
4. 增加Master权限和admin权限，辅助角色
5. 支持图片消息
6. gsoap支持soap协议
7. 课堂中文件cache问题
8. 删除cache目录导致无法访问目录的问题
7. 其他

2014-09-17
---------------------------------
1. 群界面中，列表菜单问题
2.
2014-09-16
---------------------------------
1. 课堂新布局

2014-09-15
---------------------------------
1. 网页共享时，URL地址为空的问题
2. 改进所有Tooltips项目
3. 主窗口的关闭按钮
4. 群组列表改进
5. 群组列表菜单项目
6. 标准化所有窗口名称，更易辨别
7. 部分菜单项，名称更改
8. 联系人列表中，卡片模式下，不显示用户的email（mobile）
9. 白板互动中，蒙版问题
10. 添加联系人按钮下移

2014-09-09
---------------------------------
1. 检测硬件时程序异常
2. 进入教室在Windows XP 和 Windows 7 下会产生异常的问题
3. PPT演示异常处理
 

2014-09-10
---------------------------------
1. 文档协作流程调整
2. 支持外部上传下载文件
3. 进入教室方式调整
4. 提示信息方式更改
5. PPT打印改进
6. PPT文件转换改进
7. 文件打印和转换改进
8. 头像问题
9. 群邀请问题
10.UI微调
11.文档共享中增加蒙板
12.支持PPT播放
13.支持PPTX转换为PPT
14.在系统设置中增加关于
15.动态显示版本号



2014-08-01
---------------------------------
1. 支持有师系统头像
2. 支持我的课程显示
3. 支持课堂内部邀请流程
4. 录制程序改进

2014-07-26
---------------------------------
1. 样式改进
2. PPT总页数获取问题
3. 关闭PPT报错问题


2014-7-25
---------------------------------
1. 支持录制课程
2. 多线程录制，降低CPU占用
3. 登陆状态下，多次进入教室文件共享问题
4. 新增PPT共享，目前仅支持PPT兼容格式
5. 新增一对一流程。


2014-7-10
---------------------------------
1. PPT文件共享问题
2. 多线程同步处理文档
3. 缓存目录处理的问题
4. 通过托盘无法正常退出问题
5. 支持专属教室

2014-07-04
---------------------------------
1. 放大视频时，支持人切换问题
2. 支持主持人权限下外部打印
3. 多次进入教室无法输出问题


2014-07-03
---------------------------------
1. 网页共享功能改进
2. TAB样式调整
3. 好友流程更改
4. 课堂中支持双击放大视频
5. 更新聊天表情

2014-06-30
---------------------------------
1. 改进缩放体验，滑动条处理
2. 支持根绝窗口宽度或者高度自适应

2014-06-26
---------------------------------
1. 打印特殊路径PPT的问题
2. 解决处理文件时文件被占用的问题
3. 工具栏和白板区域页码同步

2014-06-23
---------------------------------
1. 在界面顶部提示当前的书写设备状态
2. 文档下载失败导致的分享类型变化的错误
3. 笔书写焦点的问题



2014-06-20
---------------------------------
1. 处理白板变形在缩放过程中的变形问题
2. 处理了画笔检测问题

2014-06-16
---------------------------------
1.新增教鞭功能
2.新增标注，方选框以及椭圆选框
3.全新标记功能上线
  a) 手绘处理锯齿问题
  b) 直线和虚线，锯齿问题处理
  c) 方选框
  d) 圆选框
  f) 支持删除
4. 处理浏览器强制关闭问题
5.修改默认安装目录
6.默认目录问题

2014-06-06
---------------------------------
1.教室中，分组排序问题
2.网格以及坐标的控制和按钮状态同步问题
3.关闭开机自动运行设置
4.关闭桌面图标
5.关闭安装完，启动客户端

2014-06-05
---------------------------------
1. 白板和共享工具条设置全局响应
2. 页码编号的问题
3  创建新页同步问题
4. 关闭课堂模式版本下的托盘图标
5. 对于小屏幕机器，校正部分组件超出显示区域的问题
6. 增加cache技术，以处理用户意外离开教室时的问题
7. 教室中tab按钮的显示的问题

2014-06-04
---------------------------------
1. 修改默认麦克风音量
2. 页面显示的规则变更
3. 暂时关闭部分形状
4. 关闭页面的同步问题
5. 切换主持人丢失教室状态的问题
6. 页码同步
7. 对于进入教室的新用户无法同步网页状态的问题
8. 支持文件浏览状态中，显示翻页按钮
9. 同步大视频状态的问题
10. 处理桌面共享支持学生端缩放的问题
11. 优化大视频模式，视频切换卡死的问题
12. 新加入成员的大视频状态同步
13. 关闭查看成员信息
14. 在视频模式和桌面模式时，显示状态条

2014-6-02
---------------------------------
1. 新增纵向布局视图
2. 工具条位置调整
3. 新增几何图形
4. 新增直线
5. 增加会议模式，允许直接进入教室，在教室关闭后直接退出教室
6. 新增网格线
7. 新增X轴Y轴
8. 支持工具条放大缩小视图按钮
9. 支持工具栏翻页
10. 支持颜色和笔触的设置
11. 修改组件读取资源的模式
12. 关闭教鞭模式


2014-05-24
----------------------------------
1. 新增视频分享功能
2. 动态调整视频采样分辨率
3. 支持视频截图
4. 新增桌面共享
5. 支持缩放模式观看桌面
6. 支持原尺寸观看桌面
7. 改进用户状态问题
8. 修正用户头像图标
9. 其他bug修改
10. 支持关闭IM功能



2014-05-24
----------------------------------
1. 成员列表刷新问题
2. 音频，视频的开启关闭按钮问题
3. 白板和文档，画笔不同步问题
4. 登陆加载好友列表问题
5. 关闭白板或者文档标签的问题
6. 关闭标签行为的同步问题

2014-05-22
----------------------------------
1，修改文档共享长文件名不支持打印的缺陷。（文档路径包括空格等不可见字符）。
2，修改输入笔和输入鼠标的切换方式到屏幕左下方。
3，修改输入笔在屏幕中输入时无法输入的问题。

2014-05-20
----------------------------------
1. 只有管理员可以踢人
2. 只要是管理和发言者对于白板都有可写权限，管理员对文档共享区域有可写权限
3. 支持笔的检测和输入切换
4. 支持了笔的多个错误提示代码
5. 其他的一些bug
2014-05-06
----------------------------------
1. 教室中，多个TAB情况下的优化处理
2. 视频窗口的按钮问题
3. 教室中，切换主持人会导致教室状态重置（修改服务器）
4. 教室视频和音频问题处理


2014-05-05
----------------------------------
1. 当课程进行中或者音视频服务被占用，则不允许发起音视频服务
2. Profile界面上的用户头像设置问题
3. 

2014-05-04
----------------------------------
1. 虚拟打印
2. 管理员默认成为主持人
3. 处理文档时，做过程提示
4. 白板缩放优化
5. 教室中，通过列表中的视频按钮直接控制是否开启发言
6. 在视频空间中，开始或者关闭视频和语音
7. 改进一对一流程和其中的bug
8. 排序问题
9. 一对多情况下，成员可写的bug

2014-04-29
----------------------------------
1. UI的微调
2. 结束课程时提示
3. 在会议中，不显示分组
4. 联系人列表问题
5. 会议中，成员排序的问题
6. 历史记录的消息提示错误
7. 勾选自动登录时，也勾选记住密码
8. 主界面tab标签更改
9. 主界面，聊天界面，profile界面的UI结构调整
10.头像效果改进
11.聊天界面，新增音视频设置功能
12.变更产品名称为福讯
13.调整协议，以支持新的产品名称和可执行程序
14.新增一对一
	a）创建页面时为每个参与用户和页面分配读写权限
	b) 默认开启声音和视频
15.算法优化，降低视音频内存损耗
16.在线更新模块确认。
17.白板模块支持缩放和滚动条


2014-04-18
----------------------------------
1. 用户进入教室主持人权限
2. 一对一流程修改
3. 在教室成员列表中实现语音视频的开关
4. 成员列表的刷新问题
5. 音量问题。
6. 成员列表中，麦序表中的显示位置问题
7. 成员的一些属性的UI表现更新
8. 白板显示比例和图像参照物标砖的问题
9. 关于视频视图中的控制条
10.

2014-04-16
----------------------------------
1. 同步网格和坐标轴（X，Y）
2. 传文件hint显示
3. 图片的等比显示
4. 分组的创建，成员的分组移动问题处理
5. 处理用户登陆状态死锁的问题
6. 打开或关闭历史消息
7. 教室权限控制
8. 视频窗口调整
9. 退出教室时，异常的问题
10.当点对点无数据时，2分钟自动退出

2014-04-15
----------------------------------
1. 输入用户名时，清空旧密码
2. 签名丢失问题
3. 去掉消息记录的页码显示
4。视频超时时，提示关闭
5. 文件传输完成后，增加打开目录功能，只显示文件名
6. 文件传输完成后自动关闭
7. 暂时限制最大传输文件大小为512MB
8. 点对点声音被屏蔽的问题
9. 采用简单加密算法，处理本地密码问题，以支持自动登录和保存密码
10. 白板部分，增加内页翻页

2014-04-14
----------------------------------
1. 与fuwu系统对接
2. 获取头像的问题处理
3. 个人配置窗口
4. 声音问题
5. 关闭教室中部分按钮

2014-04-02
----------------------------------
1. 更新新的logo
2. 支持多页同步
3. 新增白板视图和工具条
4. 新增视图网格，x轴以及Y轴
5. 调整并优化程序结构，子模块化等
7. 支持常见形状如圆，方形等
8. 至此笔和鼠标切换。
9. 白板图片自适应，等比例缩放。
10.支持fuwu官方登陆（未开放）
11.列表视图支持查看视频音频控制状态

问题：
   1.图像和比划的同步缩放待改进
   2.列表支持视频控制功能等
   3.录制功能等 

2014-03-24
----------------------------------
1. 新增教室功能


2014-03-19
----------------------------------
1. 登陆界面支持根据登陆名称显示已登头像
2. 消息界面支持，打开消息图片
3. 字体修正为微软雅黑
4. 主界面好友列表显示标题栏
5. 修改部分bug


2014-03-17
----------------------------------
1. 窗口支持全局拖动
2. 邀请流程调整
3. 替换语音引擎

2014-03-13
--------------------------------------
1. 整体皮肤框架调整
	a) Logo替换
	b）皮肤主题更新
	c) 界面框架调整以支持登陆界面效果
2. 登陆页面实现
	a)头像效果
	b)第三方登陆跳转
	c)支持登陆前设置登录后状态
	d)用户名，密码编辑控件实现
	e)正在登陆以及注销界面实现

3. 主程序窗口实现
	a) tab效果
	b) 用户列表支持获取并显示未读消息
	c) 消息中心
	d) 存储并处理推送消息
	其中：订单管理，课程表，添加好友，需要页面支持
4. 聊天
	a) 滚动条
	b) 气泡消息效果
	c) 发送图片
	d) 显示图片
	e) 消息记录界面